Package org.lwjgl.opengl

# Class NVVertexArrayRange

java.lang.Object
org.lwjgl.opengl.NVVertexArrayRange

public final class NVVertexArrayRange extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV`
`static final int`
`GL_VERTEX_ARRAY_RANGE_LENGTH_NV`
`static final int`
`GL_VERTEX_ARRAY_RANGE_NV`
`static final int`
`GL_VERTEX_ARRAY_RANGE_POINTER_NV`
`static final int`
`GL_VERTEX_ARRAY_RANGE_VALID_NV`

## Method Summary

Modifier and Type
Method
Description
`static ByteBuffer`
`glAllocateMemoryNV(int size, float readFrequency, float writeFrequency, float priority)`
`static void`
`glFlushVertexArrayRangeNV()`
`static void`
`glFreeMemoryNV(ByteBuffer pointer)`
`static void`
`glVertexArrayRangeNV(ByteBuffer pPointer)`
`static void`
`glVertexArrayRangeNV(DoubleBuffer pPointer)`
`static void`
`glVertexArrayRangeNV(FloatBuffer pPointer)`
`static void`
`glVertexArrayRangeNV(IntBuffer pPointer)`
`static void`
`glVertexArrayRangeNV(ShortBuffer pPointer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ARRAY_RANGE_NV

public static final int GL_VERTEX_ARRAY_RANGE_NV

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_RANGE_LENGTH_NV

public static final int GL_VERTEX_ARRAY_RANGE_LENGTH_NV

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_RANGE_VALID_NV

public static final int GL_VERTEX_ARRAY_RANGE_VALID_NV

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV

public static final int GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_RANGE_POINTER_NV

public static final int GL_VERTEX_ARRAY_RANGE_POINTER_NV

See Also:
  - Constant Field Values

## Method Details

### glVertexArrayRangeNV

public static void glVertexArrayRangeNV(ByteBuffer pPointer)

### glVertexArrayRangeNV

public static void glVertexArrayRangeNV(DoubleBuffer pPointer)

### glVertexArrayRangeNV

public static void glVertexArrayRangeNV(FloatBuffer pPointer)

### glVertexArrayRangeNV

public static void glVertexArrayRangeNV(IntBuffer pPointer)

### glVertexArrayRangeNV

public static void glVertexArrayRangeNV(ShortBuffer pPointer)

### glFlushVertexArrayRangeNV

public static void glFlushVertexArrayRangeNV()

### glAllocateMemoryNV

public static ByteBuffer glAllocateMemoryNV(int size, float readFrequency, float writeFrequency, float priority)

### glFreeMemoryNV

public static void glFreeMemoryNV(ByteBuffer pointer)